<template>
  <div v-if="large" class="col-6 col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 q-px-xl q-my-lg">
    <router-link :to="{ name: 'product', params: { project: null } }">
      <div class="relative-position">
        <div class="product">
          <q-img class="product-img" src="../../statics/big.png"/>
          <p class="product-name"
          >Название коллекции</p>
        </div>
      </div>
    </router-link>
  </div>
  <div v-else class="col-3 col-xs-12 col-sm-12 col-md-6 col-lg-3 col-xl-3 q-px-xl q-my-lg">
    <router-link :to="{ name: 'product', params: { project: null } }">
      <div class="relative-position">
        <div class="product">
          <q-img class="product-img" src="../../statics/tshirt.png"/>
          <p class="product-name"
          >Название товара</p>
        </div>
      </div>
    </router-link>
  </div>
</template>

<script>
export default {
  name: 'ArtistCard',
  props: ['large']
}
</script>

<style lang="sass">
  .product
    &-name
      position: absolute
      bottom: 16px
      left: 16px
      margin: 0
      max-width: 75%
      color: #fff
      font-style: normal
      font-weight: 600
      font-size: 18px
      line-height: 22px
    &-img
      z-index: -1000
      &::after
        content: ''
        position: absolute
        z-index: 10
        bottom: 0
        left: 0
        right: 0
        height: 40%
        background: linear-gradient(180deg, rgba(29, 28, 28, 0) 1.56%, #1D1C1C 76.56%)
</style>
